Create Customer Address
Creates a Customer Address. Multiple customer addresses can be created in one call.
Required Fields
- customer_id
- first_name
- last_name
- city
- country_code
- address1
- state_or_province
- postal_code
Notes
- A unique customer address is a combination of the following core address fields:
- customer_id
- first_name
- last_name
- company
- phone
- address_type
- address1
- address2
- city
- country_code
- state_or_province
- postal_code
- An attempt to create an address that already exists will result in no change to the address or custom form field values, an HTTP 200 return code, and the address will be absent from the response body.
- The default rate limit for this endpoint is 10 concurrent requests.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Request
This endpoint expects a list of objects.
first_name
The first name of the customer address.
last_name
The last name of the customer address.
address1
The address 1 line.
city
The city of the customer address.
state_or_province
The state or province name spelled out in full. It is required for countries that need a state/province to complete an address. State or province codes not accepted.
postal_code
The postal code of the customer address. It is required for countries that need postal codes to complete an address.
country_code
The country code of the customer address.
customer_id
The customer ID.
company
The company of the customer address.
address2
The address 2 line.
phone
The phone number of the customer address.
address_type
The address type. Residential or Commercial.
Allowed values:
form_fields
The address custom form field values
Response
The created or updated customer addresses.
AddressCollectionResponse
Response payload for the BigCommerce API.
OR
Errors
422
Unprocessable Entity Error